Link against libtirpc variant built without GSS-API/Kerberos to avoid
unnecessary dependency on krb5-libs (xwayland doesn't use Kerberos).

diff --git a/os/meson.build b/os/meson.build
index 85b445f..a4fb0f4 100644
--- a/os/meson.build
+++ b/os/meson.build
@@ -58,9 +58,9 @@ rpc_dep = []
 if get_option('secure-rpc')
     # prefer libtirpc (if available), otherwise ensure RPC functions are
     # provided by libc.
-    rpc_dep = dependency('libtirpc', required: false, include_type: 'system')
+    rpc_dep = dependency('libtirpc-nokrb', required: false, include_type: 'system')
     if not (rpc_dep.found() or cc.has_header('rpc/rpc.h'))
-        error('secure-rpc requested, but neither libtirpc or libc RPC support were found')
+        error('secure-rpc requested, but neither libtirpc-nokrb or libc RPC support were found')
     endif
     # XXX: also check if RPC library provides xdr_opaque_auth, authdes_(sec)create ???
     srcs_os += 'rpcauth.c'
